﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGGroupBySelectionCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Rob;Mike;Liz;Pam;Valerie;Graham".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 100; i++)
            {
                if (i % 2 == 0)
                {
                    Data.Add(new SampleData()
                    {
                        ID = i,
                        Name = names[r.Next(names.Length)],
                        Number=  r.Next(1000),
                        TrueFalse = true
                    });
                }

                else
                {
                    Data.Add(new SampleData()
                    {
                        ID = i,
                        Name = names[r.Next(names.Length)],
                        Number = r.Next(1000),
                        TrueFalse = false
                    });
                }
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }        
        public int Number { get; set; }
        public bool TrueFalse { get; set; }
    }    
}
